;	 webview_demo2.pb
;	 Version 0.1 [2011/01/21]
;    Copyright (C) 2011 Ronny Krueger
;
;    This file is part of AWPB-Tools.
;
;    AWPB-Tools is free software: you can redistribute it and/or modify
;    it under the terms of the GNU Lesser General Public License as published by
;    the Free Software Foundation, either version 3 of the License, or
;    (at your option) any later version.
;
;    AWPB-Tools is distributed in the hope that it will be useful,
;    but WITHOUT ANY WARRANTY; without even the implied warranty of
;    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;    GNU Lesser General Public License for more details.
;
;    You should have received a copy of the GNU Lesser General Public License
;    along with AWPB-Tools.  If not, see <http://www.gnu.org/licenses/>.

EnableExplicit

CompilerSelect #PB_Compiler_OS 
  CompilerCase #PB_OS_Windows
    IncludePath "..\include\awpbtools"
  CompilerCase #PB_OS_Linux
    IncludePath "../include/awpbtools"
CompilerEndSelect

XIncludeFile "awwebview.pbi"

; Callback Procedures
Procedure.i NavigationCallback(url.s)
  If Url = "http://www.purebasic.com/news.php" 
    MessageRequester("", "No news today!") 
    ProcedureReturn #AWPB_WEBKIT_NAVIGATION_IGNORE
  Else 
    ProcedureReturn #AWPB_WEBKIT_NAVIGATION_ACCEPT
  EndIf 
EndProcedure

Define *webview.AWPB_WebView

If AWPB_InitWebKit("/usr/lib/libwebkit-1.0.so.2")
  If OpenWindow(0, 0, 0, 600, 300, "WebGadget", #PB_Window_SystemMenu | #PB_Window_ScreenCentered) 
    *webview = AWPB_WebView(0, 10, 10, 580, 280, #PB_Container_Raised)
    If *webview
      *webview\OnNavigationRequested(@NavigationCallback())
      *webview\LoadURI("http://www.purebasic.com")
  
      Repeat 
      Until WaitWindowEvent() = #PB_Event_CloseWindow
    EndIf
  EndIf
Else
  MessageRequester("Fehler", "Kann WebKit-Library nicht initialisieren!")
EndIf

